NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Facet::AdjustMinimumRadiusBuilder Class Reference

Represents a NXOpen::Facet::AdjustMinimumRadiusBuilder . More...

Inheritance diagram for NXOpen::Facet::AdjustMinimumRadiusBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::SelectDisplayableObjectListFacetBodies ()
 Returns the input facet body list. More...
 
double MinimumRadius ()
 Returns the minimum radius of curvature
Created in NX12.0.0. More...
 
NXOpen::FacetCollectorSelectedFacet ()
 Returns the input facet body list. More...
 
void SetMinimumRadius (double radius)
 Sets the minimum radius of curvature
Created in NX12.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Facet::AdjustMinimumRadiusBuilder .

It smooths the input bodies such that their minimum radius of curvature is larger than the prescribed radius of curvature.
To create a new instance of this class, use NXOpen::Facet::FacetModelingCollection::CreateFacetAdjustMinimumRadiusBuilder

Created in NX12.0.0.

Member Function Documentation

NXOpen::SelectDisplayableObjectList* NXOpen::Facet::AdjustMinimumRadiusBuilder::FacetBodies ( )

Returns the input facet body list.

Inputs to this command can be convergent objects.
Created in NX12.0.0.

License requirements : None

double NXOpen::Facet::AdjustMinimumRadiusBuilder::MinimumRadius ( )

Returns the minimum radius of curvature
Created in NX12.0.0.



License requirements : None

NXOpen::FacetCollector* NXOpen::Facet::AdjustMinimumRadiusBuilder::SelectedFacet ( )

Returns the input facet body list.

Inputs to this command can be convergent objects.
Created in NX12.0.0.

License requirements : None

void NXOpen::Facet::AdjustMinimumRadiusBuilder::SetMinimumRadius ( double  radius)

Sets the minimum radius of curvature
Created in NX12.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
radiusradius

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.